Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class Options

    java.lang.Object
      gnu.jbrowser.Options

    public class Options

extends java.lang.Object

Nested Class Summary
`static class` | `Options.Display`
`static interface` | `Options.DisplayIro` Options.DisplayIro - Interface for Accessing Display options for JBrowse
`static class` | `Options.Filter`
`static interface` | `Options.FilterIro` FilterIro - Interface for Accessing Filter options for JBrowse

Constructor Summary
`Options()`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener listener)` This is the method that is called in order to associate the JBrowse session's ChangeListener with this Option object.
`Options.Display` | `getDisplayOptions()`
`Options.Filter` | `getFilterOptions()`
`javax.swing.event.ChangeListener` | `getListener()`
`boolean` | `getShowStatusBar()`
`void` | `load(PropertyAccessor props)` The method that sets the option object's state to reflect the values specified by the passed PropertyAccessor.
`void` | `save(PropertyAccessor props)` The method that sets the passed PropertyAccessor's state to reflect the current state of this Options object.
`void` | `setShowStatusBar(boolean flag)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Options

    public Options()

Method Detail

### getListener

    public javax.swing.event.ChangeListener getListener()

### load

    public void load(PropertyAccessor props)

  The method that sets the option object's state to reflect the values specified by the passed PropertyAccessor.

### save

    public void save(PropertyAccessor props)

  The method that sets the passed PropertyAccessor's state to reflect the current state of this Options object.

### getShowStatusBar

    public final boolean getShowStatusBar()

### setShowStatusBar

    public final void setShowStatusBar(boolean flag)

### getFilterOptions

    public final Options.Filter getFilterOptions()

### getDisplayOptions

    public final Options.Display getDisplayOptions()

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener listener)

  This is the method that is called in order to associate the JBrowse session's ChangeListener with this Option object.

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.